/**
 * Typ BigInt
 */

// Ten przykład nie kompiluje się na DartPad, zobacz poniżej
main() {
 var maxInt = 9223372036854775807; // maksymalna wartość całkowita w Dart VM 
 // ‭0111111111111111111111111111111111111111111111111111111111111111‬
 print(maxInt); // 9223372036854775807
 
 print(maxInt*2); 
 // w wyniku przepełnienia wartość staje się ujemna, ponieważ prawie wszystkie bity mają wartość '1'
 
 BigInt bigInt = BigInt.from(maxInt);
 print(bigInt * BigInt.from(2)); 
 // nie ma przepełnienia, zostanie wyświetlona prawidłowa wartość: 18446744073709551614 
}
